Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexColorBrightnessManipulator Class Reference

Vertex manipulator which adjusts the brightness by the given amount. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorBrightnessManipulator:

List of all members.

## Public Member Functions

void | operator() (video::S3DVertex &vertex) const
| SVertexColorBrightnessManipulator (s32 amount)

## Detailed Description

Vertex manipulator which adjusts the brightness by the given amount.

A positive value increases brightness, a negative value darkens the colors.

Definition at line 79 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorBrightnessManipulator::SVertexColorBrightnessManipulator | ( | s32 | amount | ) | `[inline]`

Definition at line 82 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorBrightnessManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 83 of file SVertexManipulator.h.

References irr::core::clamp(), and irr::video::S3DVertex::Color.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)